### Method

# St BoxLayout set_orientation

#### Declaration [src]

    void
    st_box_layout_set_orientation (
      StBoxLayout* box,
      ClutterOrientation orientation
    )

#### Description [src]

Set the value of the `StBoxLayout:orientation` property.

Sets property | `St.BoxLayout:orientation`

#### Parameters

`orientation`

  Type: `ClutterOrientation`

  The orientation of the `StBoxLayout`.